Bug 508216 - [RHEL4] Turkish localedef gives LC_MONETARY warning
[RHEL4] Turkish localedef gives LC_MONETARY warning
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Jeff Law
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 04:23 EDT by Jens Petersen
Modified: 2016-11-24 11:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-16 13:29:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-06-26 04:23:22 EDT
Description of problem:
localedef on tr_TR seems to give a currency warning message.

Version-Release number of selected component (if applicable):
glibc-2.3.4-2.41

How reproducible:
every time

Steps to Reproduce:
# localedef -ci tr_TR -f ISO-8859-9 tr_TR.ISO-8859-9
  
Actual results:
LC_MONETARY: value of field `int_curr_symbol' does not correspond to a valid name in ISO 4217

Expected results:
no warning
Comment 1 Ulrich Drepper 2009-11-22 22:03:18 EST
The field should have the value "TRY " (in the <..> notation).

If this is not the case, fix the locale.

Otherwise locale/iso-4217.def must be updated.

In any case, a data change.
Comment 2 Jeff Law 2012-01-16 13:29:16 EST
We are not planning to fix this for RHEL 4.  As far as I can tell, this is working properly for RHEL 5.

Note You need to log in before you can comment on or make changes to this bug.